Index: squid/src/delay_pools.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/delay_pools.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.3.12.1
diff -u -r1.1.1.3 -r1.1.1.3.12.1
--- squid/src/delay_pools.c	26 Jan 2000 03:25:01 -0000	1.1.1.3
+++ squid/src/delay_pools.c	17 Apr 2000 00:13:09 -0000	1.1.1.3.12.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: delay_pools.c,v 1.1.1.3 2000/01/26 03:25:01 hno Exp $
+ * $Id: delay_pools.c,v 1.1.1.3.12.1 2000/04/17 00:13:09 hno Exp $
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: David Luyer <luyer@ucs.uwa.edu.au>
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -42,30 +42,35 @@
     int aggregate;
 };
 
+#define IND_MAP_SZ 256
+
 struct _class2DelayPool {
     int aggregate;
     /* OK: -1 is terminator.  individual[255] is always host 255. */
     /* 255 entries + 1 terminator byte */
-    unsigned char individual_map[256];
+    unsigned char individual_map[IND_MAP_SZ];
     unsigned char individual_255_used;
     /* 256 entries */
-    int individual[256];
+    int individual[IND_MAP_SZ];
 };
 
+#define NET_MAP_SZ 256
+#define C3_IND_SZ (NET_MAP_SZ*IND_MAP_SZ)
+
 struct _class3DelayPool {
     int aggregate;
     /* OK: -1 is terminator.  network[255] is always host 255. */
     /* 255 entries + 1 terminator byte */
-    unsigned char network_map[256];
+    unsigned char network_map[NET_MAP_SZ];
     unsigned char network_255_used;
     /* 256 entries */
     int network[256];
     /* 256 sets of (255 entries + 1 terminator byte) */
-    unsigned char individual_map[256][256];
+    unsigned char individual_map[NET_MAP_SZ][IND_MAP_SZ];
     /* Pack this into one bit per net */
     unsigned char individual_255_used[32];
     /* largest entry = (255<<8)+255 = 65535 */
-    int individual[65536];
+    int individual[C3_IND_SZ];
 };
 
 typedef struct _class1DelayPool class1DelayPool;
@@ -301,17 +306,18 @@
 	if (host == 255) {
 	    if (!delay_data[pool].class2->individual_255_used) {
 		delay_data[pool].class2->individual_255_used = 1;
-		delay_data[pool].class2->individual[255] =
+		delay_data[pool].class2->individual[IND_MAP_SZ - 1] =
 		    (Config.Delay.rates[pool]->individual.max_bytes *
 		    Config.Delay.initial) / 100;
 	    }
 	    return delayId(pool + 1, 255);
 	}
-	for (i = 0;; i++) {
+	for (i = 0; i < IND_MAP_SZ; i++) {
 	    if (delay_data[pool].class2->individual_map[i] == host)
 		break;
 	    if (delay_data[pool].class2->individual_map[i] == 255) {
 		delay_data[pool].class2->individual_map[i] = host;
+		assert(i < (IND_MAP_SZ - 1));
 		delay_data[pool].class2->individual_map[i + 1] = 255;
 		delay_data[pool].class2->individual[i] =
 		    (Config.Delay.rates[pool]->individual.max_bytes *
@@ -334,12 +340,13 @@
 		Config.Delay.initial) / 100;
 	}
     } else {
-	for (i = 0;; i++) {
+	for (i = 0; i < NET_MAP_SZ; i++) {
 	    if (delay_data[pool].class3->network_map[i] == net)
 		break;
 	    if (delay_data[pool].class3->network_map[i] == 255) {
 		delay_data[pool].class3->network_map[i] = net;
 		delay_data[pool].class3->individual_map[i][0] = 255;
+		assert(i < (NET_MAP_SZ - 1));
 		delay_data[pool].class3->network_map[i + 1] = 255;
 		delay_data[pool].class3->network[i] =
 		    (Config.Delay.rates[pool]->network.max_bytes *
@@ -353,21 +360,26 @@
 	position |= 255;
 	if (!(delay_data[pool].class3->individual_255_used[i / 8] & (1 << (i % 8)))) {
 	    delay_data[pool].class3->individual_255_used[i / 8] |= (1 << (i % 8));
+	    assert(position < C3_IND_SZ);
 	    delay_data[pool].class3->individual[position] =
 		(Config.Delay.rates[pool]->individual.max_bytes *
 		Config.Delay.initial) / 100;
 	}
 	return delayId(pool + 1, position);
     }
-    for (j = 0;; j++) {
+    assert(i < NET_MAP_SZ);
+    for (j = 0; j < IND_MAP_SZ; j++) {
 	if (delay_data[pool].class3->individual_map[i][j] == host) {
 	    position |= j;
 	    break;
 	}
 	if (delay_data[pool].class3->individual_map[i][j] == 255) {
 	    delay_data[pool].class3->individual_map[i][j] = host;
+	    assert(j < (IND_MAP_SZ - 1));
 	    delay_data[pool].class3->individual_map[i][j + 1] = 255;
-	    delay_data[pool].class3->individual[position |= j] =
+	    position |= j;
+	    assert(position < C3_IND_SZ);
+	    delay_data[pool].class3->individual[position] =
 		(Config.Delay.rates[pool]->individual.max_bytes *
 		Config.Delay.initial) / 100;
 	    break;
@@ -392,7 +404,7 @@
 delayUpdateClass2(class2DelayPool * class2, delaySpecSet * rates, int incr)
 {
     int restore_bytes;
-    unsigned char i;
+    unsigned int i;
     /* delaySetSpec may be pointer to partial structure so MUST pass by
      * reference.
      */
@@ -408,12 +420,13 @@
     else
 	i = 0;
     for (;;) {
+	assert(i < IND_MAP_SZ);
 	if (i != 255 && class2->individual_map[i] == 255)
 	    return;
 	if (class2->individual[i] != rates->individual.max_bytes &&
 	    (class2->individual[i] += restore_bytes) > rates->individual.max_bytes)
 	    class2->individual[i] = rates->individual.max_bytes;
-	if (++i == 255)
+	if (++i == (IND_MAP_SZ - 1))
 	    return;
     }
 }
@@ -423,7 +436,7 @@
 {
     int individual_restore_bytes, network_restore_bytes;
     int mpos;
-    unsigned char i, j;
+    unsigned int i, j;
     /* delaySetSpec may be pointer to partial structure so MUST pass by
      * reference.
      */
@@ -444,6 +457,7 @@
     else
 	i = 0;
     for (;;) {
+	assert(i < NET_MAP_SZ);
 	if (i != 255 && class3->network_map[i] == 255)
 	    return;
 	if (individual_restore_bytes != -incr) {
@@ -453,16 +467,19 @@
 	    else
 		j = 0;
 	    for (;;) {
+		assert(i < NET_MAP_SZ);
+		assert(j < IND_MAP_SZ);
 		if (j != 255 && class3->individual_map[i][j] == 255)
 		    break;
+		assert(mpos < C3_IND_SZ);
 		if (class3->individual[mpos] != rates->individual.max_bytes &&
 		    (class3->individual[mpos] += individual_restore_bytes) >
 		    rates->individual.max_bytes)
 		    class3->individual[mpos] = rates->individual.max_bytes;
 		mpos++;
-		if (j == 255)
+		if (j == (IND_MAP_SZ - 1))
 		    mpos -= 256;
-		if (++j == 255)
+		if (++j == (IND_MAP_SZ - 1))
 		    break;
 	    }
 	}
@@ -471,7 +488,7 @@
 	    (class3->network[i] += network_restore_bytes) >
 	    rates->network.max_bytes)
 	    class3->network[i] = rates->network.max_bytes;
-	if (++i == 255)
+	if (++i == (NET_MAP_SZ - 1))
 	    return;
     }
 }
@@ -663,7 +680,8 @@
     /* must be a reference only - partially malloc()d struct */
     delaySpecSet *rate = Config.Delay.rates[pool];
     class2DelayPool *class2 = delay_data[pool].class2;
-    unsigned char shown = 0, i;
+    unsigned char shown = 0;
+    unsigned int i;
 
     storeAppendPrintf(sentry, "Pool: %d\n\tClass: 2\n\n", pool + 1);
     delayPoolStatsAg(sentry, rate, class2->aggregate);
@@ -675,7 +693,7 @@
     storeAppendPrintf(sentry, "\t\tMax: %d\n", rate->individual.max_bytes);
     storeAppendPrintf(sentry, "\t\tRate: %d\n", rate->individual.restore_bps);
     storeAppendPrintf(sentry, "\t\tCurrent: ");
-    for (i = 0;; i++) {
+    for (i = 0; i < IND_MAP_SZ; i++) {
 	if (class2->individual_map[i] == 255)
 	    break;
 	storeAppendPrintf(sentry, "%d:%d ", class2->individual_map[i],
@@ -697,7 +715,9 @@
     /* fully malloc()d struct in this case only */
     delaySpecSet *rate = Config.Delay.rates[pool];
     class3DelayPool *class3 = delay_data[pool].class3;
-    unsigned char shown = 0, i, j;
+    unsigned char shown = 0;
+    unsigned int i;
+    unsigned int j;
 
     storeAppendPrintf(sentry, "Pool: %d\n\tClass: 3\n\n", pool + 1);
     delayPoolStatsAg(sentry, rate, class3->aggregate);
@@ -708,7 +728,7 @@
 	storeAppendPrintf(sentry, "\t\tMax: %d\n", rate->network.max_bytes);
 	storeAppendPrintf(sentry, "\t\tRate: %d\n", rate->network.restore_bps);
 	storeAppendPrintf(sentry, "\t\tCurrent: ");
-	for (i = 0;; i++) {
+	for (i = 0; i < NET_MAP_SZ; i++) {
 	    if (class3->network_map[i] == 255)
 		break;
 	    storeAppendPrintf(sentry, "%d:%d ", class3->network_map[i],
@@ -731,12 +751,12 @@
     storeAppendPrintf(sentry, "\tIndividual:\n");
     storeAppendPrintf(sentry, "\t\tMax: %d\n", rate->individual.max_bytes);
     storeAppendPrintf(sentry, "\t\tRate: %d\n", rate->individual.restore_bps);
-    for (i = 0;; i++) {
+    for (i = 0; i < NET_MAP_SZ; i++) {
 	if (class3->network_map[i] == 255)
 	    break;
 	storeAppendPrintf(sentry, "\t\tCurrent [Network %d]: ", class3->network_map[i]);
 	shown = 1;
-	for (j = 0;; j++) {
+	for (j = 0; j < IND_MAP_SZ; j++) {
 	    if (class3->individual_map[i][j] == 255)
 		break;
 	    storeAppendPrintf(sentry, "%d:%d ", class3->individual_map[i][j],
@@ -750,7 +770,7 @@
     if (class3->network_255_used) {
 	storeAppendPrintf(sentry, "\t\tCurrent [Network 255]: ");
 	shown = 1;
-	for (j = 0;; j++) {
+	for (j = 0; j < IND_MAP_SZ; j++) {
 	    if (class3->individual_map[255][j] == 255)
 		break;
 	    storeAppendPrintf(sentry, "%d:%d ", class3->individual_map[255][j],
Index: squid/src/disk.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/disk.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.3.10.1
diff -u -r1.1.1.3 -r1.1.1.3.10.1
--- squid/src/disk.c	26 Jan 2000 03:25:01 -0000	1.1.1.3
+++ squid/src/disk.c	17 Apr 2000 00:13:09 -0000	1.1.1.3.10.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: disk.c,v 1.1.1.3 2000/01/26 03:25:01 hno Exp $
+ * $Id: disk.c,v 1.1.1.3.10.1 2000/04/17 00:13:09 hno Exp $
  *
  * DEBUG: section 6     Disk I/O Routines
  * AUTHOR: Harvest Derived
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/diskd.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/diskd.c,v
retrieving revision 1.1
retrieving revision 1.1.8.1
diff -u -r1.1 -r1.1.8.1
--- squid/src/diskd.c	4 Feb 2000 18:56:52 -0000	1.1
+++ squid/src/diskd.c	17 Apr 2000 00:13:09 -0000	1.1.8.1
@@ -347,6 +347,7 @@
 static void storeDiskdIOCallback(storeIOState * sio, int errflag);
 static int storeDiskdReadIndividualQueue(SwapDir * sd);
 static SwapDir *swapDirFromFileno(sfileno f);
+static OBJH storeDiskdStats;
 
 /*
  * SHMBUFS is the number of shared memory buffers to allocate for
@@ -360,7 +361,15 @@
  * queue until the level falls below MAGIC2.  Recommended value
  * is 75% of SHMBUFS.
  */
-#define MAGIC2 72
+#define MAGIC1 Config.diskd.magic1
+#define MAGIC2 Config.diskd.magic2
+
+struct {
+    int open_fail_queue_len;
+    int block_queue_len;
+    int max_away;
+    int max_shmuse;
+} diskd_stats;
 
 
 /* === PUBLIC =========================================================== */
@@ -378,6 +387,10 @@
      * XXX Eventually there should be an option here to fail on open()
      * If there are too many requests queued.
      */
+    if (sd->u.diskd.away > MAGIC1) {
+	diskd_stats.open_fail_queue_len++;
+	return NULL;
+    }
     assert(mode == O_RDONLY || mode == O_WRONLY);
     sio = memAllocate(MEM_STORE_IO);
     cbdataAdd(sio, memFree, MEM_STORE_IO);
@@ -521,6 +534,7 @@
 void
 storeDiskdInit(SwapDir * sd)
 {
+    static int first = 0;
     int x;
     int i;
     int rfd;
@@ -581,6 +595,11 @@
     commSetTimeout(sd->u.diskd.wfd, -1, NULL, NULL);
     commSetNonBlocking(sd->u.diskd.wfd);
     debug(81, 1) ("diskd started\n");
+    if (0 == first) {
+	first++;
+	memset(&diskd_stats, '\0', sizeof(diskd_stats));
+	cachemgrRegister("diskd", "DISKD Stats", storeDiskdStats, 0, 1);
+    }
 }
 
 void
@@ -590,19 +609,9 @@
     int i;
     int j;
     static int ndir = 0;
-    static time_t last_report = 0;
-    static int record_away = 0;
-    static int record_shmbuf = 0;
-    if (sent_count - recv_count > record_away) {
-	record_away = sent_count - recv_count;
-	record_shmbuf = shmbuf_count;
-    }
-    if (squid_curtime - last_report > 15) {
-	if (record_away)
-	    debug(81, 1) ("DISKD: %d msgs away, %d shmbufs in use\n",
-		record_away, record_shmbuf);
-	last_report = squid_curtime;
-	record_away = record_shmbuf = 0;
+    if (sent_count - recv_count > diskd_stats.max_away) {
+	diskd_stats.max_away = sent_count - recv_count;
+	diskd_stats.max_shmuse = shmbuf_count;
     }
     do {
 	j = 0;
@@ -792,8 +801,10 @@
 	    cbdataUnlock(M.callback_data);
 	assert(++send_errors < 100);
     }
-    if (sd->u.diskd.away > MAGIC2)
+    if (sd->u.diskd.away > MAGIC2) {
+	diskd_stats.block_queue_len++;
 	storeDiskdReadQueue();
+    }
     return x;
 }
 
@@ -847,4 +858,14 @@
     return &Config.cacheSwap.swapDirs[f >> SWAP_DIR_SHIFT];
 }
 
+static void
+storeDiskdStats(StoreEntry * sentry)
+{
+    storeAppendPrintf(sentry, "max_away: %d\n", diskd_stats.max_away);
+    storeAppendPrintf(sentry, "max_shmuse: %d\n", diskd_stats.max_shmuse);
+    storeAppendPrintf(sentry, "open_fail_queue_len: %d\n", diskd_stats.open_fail_queue_len);
+    storeAppendPrintf(sentry, "block_queue_len: %d\n", diskd_stats.block_queue_len);
+    diskd_stats.max_away = diskd_stats.max_shmuse = 0;
+}
+
 #endif
Index: squid/src/dns.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/dns.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.3.12.1
diff -u -r1.1.1.3 -r1.1.1.3.12.1
--- squid/src/dns.c	26 Jan 2000 03:25:01 -0000	1.1.1.3
+++ squid/src/dns.c	17 Apr 2000 00:13:09 -0000	1.1.1.3.12.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: dns.c,v 1.1.1.3 2000/01/26 03:25:01 hno Exp $
+ * $Id: dns.c,v 1.1.1.3.12.1 2000/04/17 00:13:09 hno Exp $
  *
  * DEBUG: section 34    Dnsserver interface
  * AUTHOR: Harvest Derived
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/dns_internal.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/dns_internal.c,v
retrieving revision 1.1.1.1.4.1
retrieving revision 1.1.1.1.4.1.2.1
diff -u -r1.1.1.1.4.1 -r1.1.1.1.4.1.2.1
--- squid/src/dns_internal.c	4 Feb 2000 19:39:40 -0000	1.1.1.1.4.1
+++ squid/src/dns_internal.c	17 Apr 2000 00:13:09 -0000	1.1.1.1.4.1.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: dns_internal.c,v 1.1.1.1.4.1 2000/02/04 19:39:40 hno Exp $
+ * $Id: dns_internal.c,v 1.1.1.1.4.1.2.1 2000/04/17 00:13:09 hno Exp $
  *
  * DEBUG: section 78    DNS lookups; interacts with lib/rfc1035.c
  * AUTHOR: Duane Wessels
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -76,6 +76,7 @@
 static OBJH idnsStats;
 static void idnsAddNameserver(const char *buf);
 static void idnsFreeNameservers(void);
+static void idnsParseNameservers(void);
 static void idnsParseResolvConf(void);
 static void idnsSendQuery(idns_query * q);
 static int idnsFromKnownNameserver(struct sockaddr_in *from);
@@ -105,7 +106,7 @@
     nameservers[nns].S.sin_family = AF_INET;
     nameservers[nns].S.sin_port = htons(DOMAIN_PORT);
     nameservers[nns].S.sin_addr.s_addr = inet_addr(buf);
-    debug(78, 1) ("idnsAddNameserver: Added nameserver #%d: %s\n",
+    debug(78, 3) ("idnsAddNameserver: Added nameserver #%d: %s\n",
 	nns, inet_ntoa(nameservers[nns].S.sin_addr));
     nns++;
 }
@@ -118,6 +119,16 @@
 }
 
 static void
+idnsParseNameservers(void)
+{
+    wordlist *w;
+    for (w = Config.dns_nameservers; w; w = w->next) {
+	debug(78, 1) ("Adding nameserver %s from squid.conf\n", w->key);
+	idnsAddNameserver(w->key);
+    }
+}
+
+static void
 idnsParseResolvConf(void)
 {
     FILE *fp;
@@ -128,17 +139,16 @@
 	debug(78, 1) ("%s: %s\n", _PATH_RESOLV_CONF, xstrerror());
 	return;
     }
-    idnsFreeNameservers();
     while (fgets(buf, 512, fp)) {
 	t = strtok(buf, w_space);
-	if (t == NULL)
-	    continue;;
+	if (NULL == t)
+	    continue;
 	if (strcasecmp(t, "nameserver"))
 	    continue;
 	t = strtok(NULL, w_space);
 	if (t == NULL)
 	    continue;;
-	debug(78, 1) ("idnsParseResolvConf: nameserver %s\n", t);
+	debug(78, 1) ("Adding nameserver %s from %s\n", t, _PATH_RESOLV_CONF);
 	idnsAddNameserver(t);
     }
     fclose(fp);
@@ -382,7 +392,9 @@
 	    fatal("Could not create a DNS socket");
 	debug(78, 1) ("DNS Socket created on FD %d\n", DnsSocket);
     }
-    if (nns == 0)
+    assert(0 == nns);
+    idnsParseNameservers();
+    if (0 == nns)
 	idnsParseResolvConf();
     if (!init) {
 	memDataInit(MEM_IDNS_QUERY, "idns_query", sizeof(idns_query), 0);
@@ -400,6 +412,7 @@
 	return;
     comm_close(DnsSocket);
     DnsSocket = -1;
+    idnsFreeNameservers();
 }
 
 void
Index: squid/src/dnsserver.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/dnsserver.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.3.10.1
diff -u -r1.1.1.3 -r1.1.1.3.10.1
--- squid/src/dnsserver.c	26 Jan 2000 03:25:01 -0000	1.1.1.3
+++ squid/src/dnsserver.c	17 Apr 2000 00:13:09 -0000	1.1.1.3.10.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: dnsserver.c,v 1.1.1.3 2000/01/26 03:25:01 hno Exp $
+ * $Id: dnsserver.c,v 1.1.1.3.10.1 2000/04/17 00:13:09 hno Exp $
  *
  * DEBUG: section 0     DNS Resolver
  * AUTHOR: Harvest Derived
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/enums.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/enums.h,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.3.12.1
diff -u -r1.1.1.3 -r1.1.1.3.12.1
--- squid/src/enums.h	26 Jan 2000 03:25:01 -0000	1.1.1.3
+++ squid/src/enums.h	17 Apr 2000 00:13:09 -0000	1.1.1.3.12.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: enums.h,v 1.1.1.3 2000/01/26 03:25:01 hno Exp $
+ * $Id: enums.h,v 1.1.1.3.12.1 2000/04/17 00:13:09 hno Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -10,10 +10,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -45,6 +45,9 @@
     LOG_TCP_MEM_HIT,
     LOG_TCP_DENIED,
     LOG_TCP_OFFLINE_HIT,
+#if LOG_TCP_REDIRECTS
+    LOG_TCP_REDIRECT,
+#endif
     LOG_UDP_HIT,
     LOG_UDP_MISS,
     LOG_UDP_DENIED,
@@ -197,6 +200,7 @@
     HDR_CONTENT_MD5,
     HDR_CONTENT_RANGE,
     HDR_CONTENT_TYPE,
+    HDR_COOKIE,
     HDR_DATE,
     HDR_ETAG,
     HDR_EXPIRES,
@@ -655,5 +659,8 @@
 typedef enum {
     SWAPDIR_UFS,
     SWAPDIR_ASYNCUFS,
+#if USE_DISKD
+    SWAPDIR_DISKD,
+#endif
     SWAPDIR_MAX
 } swapdir_t;
Index: squid/src/errorpage.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/errorpage.c,v
retrieving revision 1.1.1.3.10.1
retrieving revision 1.1.1.3.10.2
diff -u -r1.1.1.3.10.1 -r1.1.1.3.10.2
--- squid/src/errorpage.c	5 Feb 2000 20:14:18 -0000	1.1.1.3.10.1
+++ squid/src/errorpage.c	17 Apr 2000 00:13:09 -0000	1.1.1.3.10.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: errorpage.c,v 1.1.1.3.10.1 2000/02/05 20:14:18 hno Exp $
+ * $Id: errorpage.c,v 1.1.1.3.10.2 2000/04/17 00:13:09 hno Exp $
  *
  * DEBUG: section 4     Error Generation
  * AUTHOR: Duane Wessels
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/event.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/event.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.3.10.1
diff -u -r1.1.1.3 -r1.1.1.3.10.1
--- squid/src/event.c	26 Jan 2000 03:25:01 -0000	1.1.1.3
+++ squid/src/event.c	17 Apr 2000 00:13:09 -0000	1.1.1.3.10.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: event.c,v 1.1.1.3 2000/01/26 03:25:01 hno Exp $
+ * $Id: event.c,v 1.1.1.3.10.1 2000/04/17 00:13:09 hno Exp $
  *
  * DEBUG: section 41    Event Processing
  * AUTHOR: Henrik Nordstrom
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/fd.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fd.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.3.12.1
diff -u -r1.1.1.3 -r1.1.1.3.12.1
--- squid/src/fd.c	26 Jan 2000 03:25:01 -0000	1.1.1.3
+++ squid/src/fd.c	17 Apr 2000 00:13:09 -0000	1.1.1.3.12.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: fd.c,v 1.1.1.3 2000/01/26 03:25:01 hno Exp $
+ * $Id: fd.c,v 1.1.1.3.12.1 2000/04/17 00:13:09 hno Exp $
  *
  * DEBUG: section 51    Filedescriptor Functions
  * AUTHOR: Duane Wessels
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/filemap.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/filemap.c,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.2.10.1
diff -u -r1.1.1.2 -r1.1.1.2.10.1
--- squid/src/filemap.c	26 Jan 2000 03:25:01 -0000	1.1.1.2
+++ squid/src/filemap.c	17 Apr 2000 00:13:09 -0000	1.1.1.2.10.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: filemap.c,v 1.1.1.2 2000/01/26 03:25:01 hno Exp $
+ * $Id: filemap.c,v 1.1.1.2.10.1 2000/04/17 00:13:09 hno Exp $
  *
  * DEBUG: section 8     Swap File Bitmap
  * AUTHOR: Harvest Derived
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -122,9 +122,8 @@
     int count;
     if (suggestion >= fm->max_n_files)
 	suggestion = 0;
-    if (!file_map_bit_test(fm, suggestion)) {
-	return file_map_bit_set(fm, suggestion);
-    }
+    if (!file_map_bit_test(fm, suggestion))
+	return suggestion;
     word = suggestion >> LONG_BIT_SHIFT;
     for (count = 0; count < fm->nwords; count++) {
 	if (fm->file_map[word] != ALL_ONES)
